% Reads data from an txt motion file 
% number of dimensions = number of columns = 62
% function D = read_amctxt(fname)
% fname = name of disk input file, in txt format
% Example:
% D = read_amctxt(fname)

% Cheng Ren
% Beihang University
% April 2011
function [D] = read_amctxt(fname)


fid=fopen(fname, 'rt');
if fid == -1,
 fprintf('Error, can not open file %s.\n', fname);
 return;
end;

D=[];

%% read-in data
frame=1;
while ~feof(fid)
  for i=1:62
      D( frame, i ) = fscanf(fid,'%f',1);
      i = i+1;
  end
  fscanf(fid,'\n');
  frame = frame + 1;
end

disp('Total number of frames read: ');
disp(frame-1);

fclose(fid);

end
